Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class ItemPoolImpl

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.engine.pool.ItemPoolImpl

All Implemented Interfaces:
  ItemPool, Pool

public class ItemPoolImpl
extends Object
implements ItemPool

Represents a collection of PoolObject(s). The ItemPoolImpl interface provides methods for querying the underlying objects and also to remove objects from the working collection.

Field Summary
`static int` | `INIT_MAP_SIZE`
`static int` | `LONG`
`static int` | `SHORT`

Constructor Summary
`ItemPoolImpl(ItemObjectFactory factory)`
`ItemPoolImpl(ItemObjectFactory factory, com.bea.commerce.ebusiness.price.service.internal.PricingContext context, Quote quote)`

Method Summary
`void` | `adjust(List poolObjects, AdjustmentDetail aDetail)`
`void` | `adjust(PoolObject object, AdjustmentDetail aDetail)`
`static String` | `catMapToString(Map map, int size, int type)`
`PoolQuery` | `getByPrice(PoolQuery query)` Perform the query as specified by the query object passed in and return the query object with the results added.
`String` | `getCurrency()`
`Map` | `getCurrentMap()` Returns the set of objects that make up the pool.
`int` | `getCurrentSize()`
`AdjustmentDetail` | `getDetail(AdjustmentType type, Money initialPrice, Money endPrice, String computation, String reason, Object discountID)`
`Quote` | `getQuote()`
`static String` | `itemMapToString(Map map)`
`static String` | `mapToString(Map map)`
`static String` | `productItemListToString(List list)`
`void` | `remove(Iterator poolObjects)`
`void` | `remove(PoolObject poolObject)`
`void` | `set(ItemObjectFactory factory, com.bea.commerce.ebusiness.price.service.internal.PricingContext context, Quote quote)`
`void` | `set(com.bea.commerce.ebusiness.price.service.internal.PricingContext context, Quote quote)`
`static String` | `skuMapToString(Map map, int size, int type)`
`String` | `toString()`
`String` | `toString(int type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SHORT

    public static final int SHORT

See Also:
  Constant Field Values

### LONG

    public static final int LONG

See Also:
  Constant Field Values

### INIT_MAP_SIZE

    public static final int INIT_MAP_SIZE

See Also:
  Constant Field Values

Constructor Detail

### ItemPoolImpl

    public ItemPoolImpl(ItemObjectFactory factory)

### ItemPoolImpl

    public ItemPoolImpl(ItemObjectFactory factory,
                        com.bea.commerce.ebusiness.price.service.internal.PricingContext context,
                        Quote quote)
                 throws RemoteException,
                        CatalogFinderException,
                        CatalogException

Method Detail

### set

    public void set(com.bea.commerce.ebusiness.price.service.internal.PricingContext context,
                    Quote quote)
             throws RemoteException,
                    CatalogFinderException,
                    CatalogException

    `RemoteException`
    `CatalogFinderException`
    `CatalogException`

### set

    public void set(ItemObjectFactory factory,
                    com.bea.commerce.ebusiness.price.service.internal.PricingContext context,
                    Quote quote)
             throws RemoteException,
                    CatalogFinderException,
                    CatalogException

    `RemoteException`
    `CatalogFinderException`
    `CatalogException`

### remove

    public void remove(Iterator poolObjects)

  Specified by:
    `remove` in interface `Pool`
  Returns:
    void
  See Also:
    `PoolObject`

### remove

    public void remove(PoolObject poolObject)

  Specified by:
    `remove` in interface `Pool`
  Returns:
    void
  See Also:
    `PoolObject`

### getCurrentSize

    public int getCurrentSize()

  Specified by:
    `getCurrentSize` in interface `ItemPool`

### getQuote

    public Quote getQuote()

  Specified by:
    `getQuote` in interface `ItemPool`

### getCurrency

    public String getCurrency()

  Specified by:
    `getCurrency` in interface `Pool`

### getDetail

    public AdjustmentDetail getDetail(AdjustmentType type,
                                      Money initialPrice,
                                      Money endPrice,
                                      String computation,
                                      String reason,
                                      Object discountID)

  Specified by:
    `getDetail` in interface `Pool`

### getByPrice

    public PoolQuery getByPrice(PoolQuery query)

  Perform the query as specified by the query object passed in and return the query object with the results added. If the query is satisfied the list of reply sets must have a 1 to 1 correspondence between each query spec for the qualifier or target.

  Specified by:
    `getByPrice` in interface `ItemPool`

### adjust

    public void adjust(PoolObject object,
                       AdjustmentDetail aDetail)

  Specified by:
    `adjust` in interface `Pool`

### adjust

    public void adjust(List poolObjects,
                       AdjustmentDetail aDetail)

  Specified by:
    `adjust` in interface `Pool`

### getCurrentMap

    public Map getCurrentMap()

  Description copied from interface: `ItemPool`
  Returns the set of objects that make up the pool.

  Specified by:
    `getCurrentMap` in interface `ItemPool`
  Returns:
    List returns the collection of ItemPoolObjects that make up the pool.
  See Also:
    `ItemObject`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toString

    public String toString(int type)

  Specified by:
    `toString` in interface `ItemPool`

### mapToString

    public static String mapToString(Map map)

### itemMapToString

    public static String itemMapToString(Map map)

### skuMapToString

    public static String skuMapToString(Map map,
                                        int size,
                                        int type)

### catMapToString

    public static String catMapToString(Map map,
                                        int size,
                                        int type)

### productItemListToString

    public static String productItemListToString(List list)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved